From e2993114e53fd7fb6e272e2710e8b3e463a00c5f Mon Sep 17 00:00:00 2001
From: Juan Jose Garcia Ripoll <jjgarcia@users.sourceforge.net>
Date: Fri, 23 Apr 2010 19:42:14 +0200
Subject: [PATCH 1/4] Proper support of the 'long long' type

---
 src/cffi-ecl.lisp |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/src/cffi-ecl.lisp b/src/cffi-ecl.lisp
index b847f0d..7248ca7 100644
--- a/src/cffi-ecl.lisp
+++ b/src/cffi-ecl.lisp
@@ -196,8 +196,10 @@ WITH-POINTER-TO-VECTOR-DATA."
     (:unsigned-int    :unsigned-int    "unsigned int")
     (:long            :long            "long")
     (:unsigned-long   :unsigned-long   "unsigned long")
-    #+x86-64 (:long-long :long "long long")
-    #+x86-64 (:unsigned-long-long :unsigned-long "unsigned long long")
+    #+long-long
+    (:long-long       :long-long       "long long")
+    #+long-long
+    (:unsigned-long-long :unsigned-long-long "unsigned long long")
     (:float           :float           "float")
     (:double          :double          "double")
     (:pointer         :pointer-void    "void*")
-- 
1.6.6.1

